Package org.tmatesoft.svn.core.wc.admin

# Class SVNAdminEventAction

java.lang.Object
org.tmatesoft.svn.core.wc.admin.SVNAdminEventAction

public class SVNAdminEventAction extends Object
The SVNAdminEventAction is an enumeration of possible actions that may take place in different methods of SVNAdminClient.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SVNAdminEventAction`
`DUMP_FILTER_DROPPED_NODE`
Informs of a dropped node during dumpfiltering.
`static final SVNAdminEventAction`
`DUMP_FILTER_DROPPED_RENUMBERED_REVISION`
Informs of the original revision that was dropped during dumpfiltering.
`static final SVNAdminEventAction`
`DUMP_FILTER_RENUMBERED_REVISION`
Informs of an original revision that was renumbered.
`static final SVNAdminEventAction`
`DUMP_FILTER_REVISION_COMMITTED`
Says that a next revision was processed during dumpfiltering.
`static final SVNAdminEventAction`
`DUMP_FILTER_REVISION_SKIPPED`
Informs that an original revision is dropped.
`static final SVNAdminEventAction`
`DUMP_FILTER_TOTAL_NODES_DROPPED`
Provides the total number of dropped nodes during dumpfiltering.
`static final SVNAdminEventAction`
`DUMP_FILTER_TOTAL_REVISIONS_DROPPED`
Informs of the total number of dropped revisions.
`static final SVNAdminEventAction`
`LOCK_LISTED`
A next lock is fetched from the repository.
`static final SVNAdminEventAction`
`NORMALIZED_PROPERTIES`
`static final SVNAdminEventAction`
`NOT_LOCKED`
Says that a path is not locked.
`static final SVNAdminEventAction`
`PACK_END`
Informs of a next shard packing end.
`static final SVNAdminEventAction`
`PACK_START`
Informs of a next shard packing start.
`static final SVNAdminEventAction`
`RECOVERY_STARTED`
Says that a recovery process is about to start.
`static final SVNAdminEventAction`
`REVISION_DUMPED`
A 'next revision dumped' action.
`static final SVNAdminEventAction`
`REVISION_LOAD`
An action that denotes a next revision load is started.
`static final SVNAdminEventAction`
`REVISION_LOAD_ADD_PATH`
An action that denotes adding a next path within the current revision being loaded.
`static final SVNAdminEventAction`
`REVISION_LOAD_DELETE_PATH`
An action that denotes deleting a next path within the current revision being loaded.
`static final SVNAdminEventAction`
`REVISION_LOAD_EDIT_PATH`
An action that denotes editing a next path within the current revision being loaded.
`static final SVNAdminEventAction`
`REVISION_LOAD_REPLACE_PATH`
An action that denotes replacing a next path within the current revision being loaded.
`static final SVNAdminEventAction`
`REVISION_LOADED`
An action that denotes a next revision load is completed.
`static final SVNAdminEventAction`
`REVISION_PROPERTIES_COPIED`
Says that revision properties were copied.
`static final SVNAdminEventAction`
`TRANSACTION_LISTED`
A 'next transaction listed' action.
`static final SVNAdminEventAction`
`TRANSACTION_REMOVED`
A 'next transaction removed' action.
`static final SVNAdminEventAction`
`UNLOCK_FAILED`
Says that unlocking a path failed.
`static final SVNAdminEventAction`
`UNLOCKED`
Says that a path was successfully unlocked.
`static final SVNAdminEventAction`
`UPGRADE`
Says that an upgrade process is about to start.

## Method Summary

Modifier and Type
Method
Description
`int`
`getID()`
Returns an action id
`String`
`toString()`
Gives a string representation of this action.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### REVISION_LOAD

public static final SVNAdminEventAction REVISION_LOAD
An action that denotes a next revision load is started.

### REVISION_LOADED

public static final SVNAdminEventAction REVISION_LOADED
An action that denotes a next revision load is completed.

### REVISION_LOAD_EDIT_PATH

public static final SVNAdminEventAction REVISION_LOAD_EDIT_PATH
An action that denotes editing a next path within the current revision being loaded.

### REVISION_LOAD_DELETE_PATH

public static final SVNAdminEventAction REVISION_LOAD_DELETE_PATH
An action that denotes deleting a next path within the current revision being loaded.

### REVISION_LOAD_ADD_PATH

public static final SVNAdminEventAction REVISION_LOAD_ADD_PATH
An action that denotes adding a next path within the current revision being loaded.

### REVISION_LOAD_REPLACE_PATH

public static final SVNAdminEventAction REVISION_LOAD_REPLACE_PATH
An action that denotes replacing a next path within the current revision being loaded.

### REVISION_DUMPED

public static final SVNAdminEventAction REVISION_DUMPED
A 'next revision dumped' action.

### TRANSACTION_LISTED

public static final SVNAdminEventAction TRANSACTION_LISTED
A 'next transaction listed' action.

### TRANSACTION_REMOVED

public static final SVNAdminEventAction TRANSACTION_REMOVED
A 'next transaction removed' action.

### UNLOCK_FAILED

public static final SVNAdminEventAction UNLOCK_FAILED
Says that unlocking a path failed.

Since:
  1.2

### UNLOCKED

public static final SVNAdminEventAction UNLOCKED
Says that a path was successfully unlocked.

Since:
  1.2

### NOT_LOCKED

public static final SVNAdminEventAction NOT_LOCKED
Says that a path is not locked.

Since:
  1.2

### LOCK_LISTED

public static final SVNAdminEventAction LOCK_LISTED
A next lock is fetched from the repository.

Since:
  1.2

### RECOVERY_STARTED

public static final SVNAdminEventAction RECOVERY_STARTED
Says that a recovery process is about to start.

Since:
  1.2

### UPGRADE

public static final SVNAdminEventAction UPGRADE
Says that an upgrade process is about to start.

Since:
  1.2

### REVISION_PROPERTIES_COPIED

public static final SVNAdminEventAction REVISION_PROPERTIES_COPIED
Says that revision properties were copied.

Since:
  1.2

### DUMP_FILTER_REVISION_COMMITTED

public static final SVNAdminEventAction DUMP_FILTER_REVISION_COMMITTED
Says that a next revision was processed during dumpfiltering. Sent during dumpfiltering.

Since:
  1.2

### DUMP_FILTER_REVISION_SKIPPED

public static final SVNAdminEventAction DUMP_FILTER_REVISION_SKIPPED
Informs that an original revision is dropped. Sent during dumpfiltering.

Since:
  1.2

### DUMP_FILTER_TOTAL_REVISIONS_DROPPED

public static final SVNAdminEventAction DUMP_FILTER_TOTAL_REVISIONS_DROPPED
Informs of the total number of dropped revisions. Sent after dumpfiltering is finished.

Since:
  1.2

### DUMP_FILTER_DROPPED_RENUMBERED_REVISION

public static final SVNAdminEventAction DUMP_FILTER_DROPPED_RENUMBERED_REVISION
Informs of the original revision that was dropped during dumpfiltering. Sent only in case renumbering original revisions is enabled. Sent after dumpfiltering is finished.

Since:
  1.2

### DUMP_FILTER_RENUMBERED_REVISION

public static final SVNAdminEventAction DUMP_FILTER_RENUMBERED_REVISION
Informs of an original revision that was renumbered. Sent only in case renumbering original revisions is enabled. Sent after dumpfiltering is finished.

Since:
  1.2

### DUMP_FILTER_TOTAL_NODES_DROPPED

public static final SVNAdminEventAction DUMP_FILTER_TOTAL_NODES_DROPPED
Provides the total number of dropped nodes during dumpfiltering. Sent after dumpfiltering is finished.

Since:
  1.2

### DUMP_FILTER_DROPPED_NODE

public static final SVNAdminEventAction DUMP_FILTER_DROPPED_NODE
Informs of a dropped node during dumpfiltering. Sent after dumpfiltering is finished.

Since:
  1.2

### PACK_START

public static final SVNAdminEventAction PACK_START
Informs of a next shard packing start.

Since:
  1.2

### PACK_END

public static final SVNAdminEventAction PACK_END
Informs of a next shard packing end.

Since:
  1.2

### NORMALIZED_PROPERTIES

public static final SVNAdminEventAction NORMALIZED_PROPERTIES

## Method Details

### getID

public int getID()
Returns an action id

Returns:
  id of this action

### toString

public String toString()
Gives a string representation of this action.

Overrides:
  `toString` in class `Object`
Returns:
  string representation of this object